summaryrefslogtreecommitdiff
path: root/debian/tests/run-tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/run-tests')
-rw-r--r--debian/tests/run-tests18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
new file mode 100644
index 000000000..233c5a386
--- /dev/null
+++ b/debian/tests/run-tests
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+# auto-package-test is very unhappy if stuff it writen to stderr
+exec 2> apt-stderr.log
+
+# we need the buildin webserver for the tests
+if [ ! -e environment.mak ]; then
+ ./configure
+fi
+make -C test/interactive-helper/
+
+# run against the installed apt
+APT_INTEGRATION_TESTS_WEBSERVER_BIN_DIR=$(pwd)/build/bin \
+APT_INTEGRATION_TESTS_METHODS_DIR=/usr/lib/apt/methods \
+APT_INTEGRATION_TESTS_BUILD_DIR=/usr/bin \
+./test/integration/run-tests